#!/usr/bin/env node
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));

// src/index.ts
var import_fs = require("fs");
var import_path = require("path");

// src/is-valid.ts
var ignorePaths = ["node_modules", "package-lock.json"];
var isValid = (path) => {
  if (path.startsWith("."))
    return false;
  if (path.endsWith(".png"))
    return false;
  if (path.endsWith(".jpg"))
    return false;
  if (path.endsWith(".webp"))
    return false;
  if (ignorePaths.includes(path))
    return false;
  return true;
};

// src/index.ts
var import_cli_table3 = __toESM(require("cli-table3"));
var import_figlet = __toESM(require("figlet"));
var codebaseName = (0, import_path.basename)(process.cwd());
var dirCount = 0;
var fileCount = 0;
var linesOfCode = 0;
var countStats = (path) => {
  const currentPath = (0, import_fs.readdirSync)(path);
  currentPath.forEach((fileOrDirectory) => {
    const filePath = (0, import_path.join)(path, fileOrDirectory);
    if (isValid(fileOrDirectory)) {
      if ((0, import_fs.statSync)(filePath).isDirectory()) {
        countStats(filePath);
        dirCount++;
      } else if ((0, import_fs.statSync)(filePath).isFile()) {
        const fileContents = (0, import_fs.readFileSync)(filePath, "utf8").toString();
        linesOfCode += fileContents.split("\n").length;
        fileCount++;
      }
    }
  });
};
countStats(process.cwd());
var table = new import_cli_table3.default({
  colWidths: [30, 30]
});
table.push(
  ["Name", codebaseName],
  ["Lines of Code", linesOfCode],
  ["Files", fileCount],
  ["Directories", dirCount]
);
import_figlet.default.text(
  "Codebase Stats",
  {
    font: "Small Slant",
    horizontalLayout: "default",
    verticalLayout: "default",
    whitespaceBreak: true,
    width: 200
  },
  function(err, data) {
    if (err) {
      console.log("Something went wrong...");
      console.dir(err);
      return;
    }
    console.log(data);
    console.log(table.toString());
  }
);
